ChangeSet 1.1282, 2003/06/04 17:39:40-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in arch/mips/ddb5xxx/ddb5477/pci.c


 arch/mips/ddb5xxx/ddb5477/pci.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/arch/mips/ddb5xxx/ddb5477/pci.c b/arch/mips/ddb5xxx/ddb5477/pci.c
--- a/arch/mips/ddb5xxx/ddb5477/pci.c	Wed Jun  4 18:07:56 2003
+++ b/arch/mips/ddb5xxx/ddb5477/pci.c	Wed Jun  4 18:07:56 2003
@@ -98,10 +98,10 @@
 extern int vrc5477_irq_to_irq(int irq);
 void __init pcibios_fixup_irqs(void)
 {
-        struct pci_dev *dev;
+        struct pci_dev *dev = NULL;
         int slot_num;
 
-	pci_for_each_dev(dev) {
+	while ((dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev)) != NULL) {
 		slot_num = PCI_SLOT(dev->devfn);
 		MIPS_ASSERT(slot_num < MAX_SLOT_NUM);
 		MIPS_ASSERT(irq_map[slot_num] != 0xff);
